//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 6 textures and 66 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 12/15/1995    (15.12.1995)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.


camera {  //  Camera Camera2
  location  <-12.154, -40.801, -10.541>
  direction <0.0,     0.0,  2.1422>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <-3.697, -10.436, 0.079>
}

// *******  L I G H T S *******
light_source {   // Spotlight SpotL001
  <2.610, -40.457, -11.641>
  color  rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <2.539, -39.509, -11.329>
    falloff   16.2  // outer radius (in deg)
      radius    7.5  // inner radius
}

light_source {   // Light1
  <10.820, -8.500, 10.316>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  T E X T U R E S  *******
//

#include "WINDOW.INC"

// ********  O B J E C T S *******
#declare Sphere001 = object { 
  sphere {<0,0,0>,1}
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.154894, 1.000000, 0.814126>
}

#declare Torus001 = torus { 
  2.050, 0.050  // Major, minor radius
  rotate -x*90
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.550000, 0.550000, 0.550000>
}

#declare Cone001 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.132590, 0.132590, 0.132590>
  translate <0.000000, 0.000000, -0.891000>
}

#declare Torus002 = torus { 
  1.075, 0.075  // Major, minor radius
  rotate -x*90
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.123926, 0.123926, 0.123926>
  rotate <86.126999, 0.000000, -90.000000>
  translate <0.000000, 0.000000, -0.991326>
}

union {   // Grp001
  object { Sphere001 }
  object { Torus001 }
  object { Cone001 }
  object { Torus002 }
  scale <2.230493, 2.230493, 2.230493>
}
#declare Cone002 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -180.000000, 0.000000>
  translate <0.000000, 0.000000, 2.602230>
}

#declare Cone3 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -360.000000, 0.000000>
  translate <0.000000, 0.000000, 1.734820>
}

union {
  object { Cone002 }
  object { Cone3 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
}

#declare Torus4 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -90.000000>
  translate <0.000000, 0.000000, 12.818271>
}

#declare Torus5 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -180.000000>
  translate <0.000000, 0.000000, 14.399837>
}

#declare Grp002 = union {
  object { Torus4 }
  object { Torus5 }
}
#declare Torus6 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -90.000000>
  translate <0.000000, 0.000000, 12.818271>
}

#declare Torus7 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -180.000000>
  translate <0.000000, 0.000000, 14.399837>
}

#declare Grp3 = union {
  object { Torus6 }
  object { Torus7 }
  translate <0.000000, 0.000000, 3.163132>
}
union {   // Grp003
  object { Grp002 }
  object { Grp3 }
}
cone {   // Cone003
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -180.000000, 0.000000>
  translate <0.000000, 0.000000, 3.740000>
}

object {   // Sphere002
  sphere {<0,0,0>,1}
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.900814, 0.835371, 1.487124>
  translate <0.000000, 0.000000, 4.584882>
}

#declare Cone4 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -180.000000, 0.000000>
  translate <0.000000, 0.000000, 2.602230>
}

#declare Cone5 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -360.000000, 0.000000>
  translate <0.000000, 0.000000, 1.734820>
}

union {
  object { Cone4 }
  object { Cone5 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  translate <0.000000, 0.000000, 5.000894>
}

cone {   // Cone004
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  translate <0.000000, 0.000000, 5.576208>
}

#declare Cone6 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -180.000000, 0.000000>
  translate <0.000000, 0.000000, 2.602230>
}

#declare Cone7 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -360.000000, 0.000000>
  translate <0.000000, 0.000000, 1.734820>
}

union {
  object { Cone6 }
  object { Cone7 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  translate <0.000000, 0.000000, 6.153298>
}

#declare Cone8 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -180.000000, 0.000000>
  translate <0.000000, 0.000000, 2.602230>
}

#declare Cone9 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  rotate <0.000000, -360.000000, 0.000000>
  translate <0.000000, 0.000000, 1.734820>
}

union {
  object { Cone8 }
  object { Cone9 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  translate <0.000000, 0.000000, 7.300000>
}

cone {   // Cone005
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <2.059000, 2.059445, 0.680000>
  translate <0.000000, 0.000000, 9.774773>
}

cone {   // Cone10
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <2.059000, 2.059445, 0.680000>
  rotate <180.000000, 0.000000, 0.000000>
  translate <0.000000, 0.000000, 11.216378>
}

torus {   // Torus003
  1.100, 0.100  // Major, minor radius
  rotate -x*90
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.382169, 0.382169, 0.382169>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <0.000000, 0.000000, 11.622689>
}

#declare Torus8 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -90.000000>
  translate <0.000000, 0.000000, 12.818271>
}

#declare Torus9 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -180.000000>
  translate <0.000000, 0.000000, 14.399837>
}

#declare Grp4 = union {
  object { Torus8 }
  object { Torus9 }
}
#declare Torus10 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -90.000000>
  translate <0.000000, 0.000000, 12.818271>
}

#declare Torus11 = torus { 
  1.025, 0.025  // Major, minor radius
  rotate -x*90
  texture {
    Rosewood
    finish {
      phong   0.20
      phong_size   0.20
      reflection  0.200
      crand   0.300
    }
  }
  scale <0.495673, 0.843304, 5.296321>
  rotate <-90.000000, 0.000000, -180.000000>
  translate <0.000000, 0.000000, 14.399837>
}

#declare Grp5 = union {
  object { Torus10 }
  object { Torus11 }
  translate <0.000000, 0.000000, 3.163132>
}
union {   // Grp6
  object { Grp4 }
  object { Grp5 }
  translate <0.000000, 0.000000, 6.242885>
}
#declare BzPtch001_1 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-7.803925, 0.000000, 12.228858>  <-7.803925, -1.000000, 12.228858>  <-6.091588, -1.000000, 11.675244>  <-6.091588, 0.000000, 11.675244>
    <-6.435305, 0.000000, 13.676786>  <-6.435305, -1.000000, 13.676786>  <-4.685351, -1.000000, 13.086667>  <-4.685351, 0.000000, 13.086667>
    <-5.075038, 0.000000, 15.130980>  <-5.075038, -1.000000, 15.130980>  <-3.063497, -1.000000, 14.112828>  <-3.063497, 0.000000, 14.112828>
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>  }
}
#declare BzPtch001_2 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-6.091588, 0.000000, 11.675244>  <-6.091588, 1.000000, 11.675244>  <-7.803925, 1.000000, 12.228858>  <-7.803925, 0.000000, 12.228858>
    <-4.685351, 0.000000, 13.086667>  <-4.685351, 1.000000, 13.086667>  <-6.435305, 1.000000, 13.676786>  <-6.435305, 0.000000, 13.676786>
    <-3.063497, 0.000000, 14.112828>  <-3.063497, 1.000000, 14.112828>  <-5.075038, 1.000000, 15.130980>  <-5.075038, 0.000000, 15.130980>
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>  }
}
#declare BzPtch001_3 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>
    <-0.935725, 0.000000, 15.975546>  <-0.935725, -1.000000, 15.975546>  <-1.283308, -1.000000, 14.250611>  <-1.283308, 0.000000, 14.250611>
    <3.349279, 0.000000, 11.848462>  <3.349279, -1.000000, 11.848462>  <2.038795, -1.000000, 10.848398>  <2.038795, 0.000000, 10.848398>
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>  }
}
#declare BzPtch001_4 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>
    <-1.283308, 0.000000, 14.250611>  <-1.283308, 1.000000, 14.250611>  <-0.935725, 1.000000, 15.975546>  <-0.935725, 0.000000, 15.975546>
    <2.038795, 0.000000, 10.848398>  <2.038795, 1.000000, 10.848398>  <3.349279, 1.000000, 11.848462>  <3.349279, 0.000000, 11.848462>
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>  }
}
#declare BzPtch001_5 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>
    <7.876290, 0.000000, 8.694149>  <7.876290, -1.000000, 8.694149>  <8.140556, -1.000000, 6.762035>  <8.140556, 0.000000, 6.762035>
    <8.837418, 0.000000, 8.757271>  <8.837418, -1.000000, 8.757271>  <10.290505, -1.000000, 7.516801>  <10.290505, 0.000000, 7.516801>
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>  }
}
#declare BzPtch001_6 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>
    <8.140556, 0.000000, 6.762035>  <8.140556, 1.000000, 6.762035>  <7.876290, 1.000000, 8.694149>  <7.876290, 0.000000, 8.694149>
    <10.290505, 0.000000, 7.516801>  <10.290505, 1.000000, 7.516801>  <8.837418, 1.000000, 8.757271>  <8.837418, 0.000000, 8.757271>
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>  }
}
#declare BzPtch001_7 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>
    <12.387249, 0.000000, 10.536297>  <12.387249, -1.000000, 10.536297>  <14.828541, -1.000000, 10.189859>  <14.828541, 0.000000, 10.189859>
    <13.369619, 0.000000, 12.343686>  <13.369619, -1.000000, 12.343686>  <15.439475, -1.000000, 12.321823>  <15.439475, 0.000000, 12.321823>
    <13.680051, 0.000000, 14.225836>  <13.680051, -1.000000, 14.225836>  <15.148903, -1.000000, 14.207141>  <15.148903, 0.000000, 14.207141>  }
}
#declare BzPtch001_8 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>
    <14.828541, 0.000000, 10.189859>  <14.828541, 1.000000, 10.189859>  <12.387249, 1.000000, 10.536297>  <12.387249, 0.000000, 10.536297>
    <15.439475, 0.000000, 12.321823>  <15.439475, 1.000000, 12.321823>  <13.369619, 1.000000, 12.343686>  <13.369619, 0.000000, 12.343686>
    <15.148903, 0.000000, 14.207141>  <15.148903, 1.000000, 14.207141>  <13.680051, 1.000000, 14.225836>  <13.680051, 0.000000, 14.225836>  }
}
#declare BzPtch001 = union { 
  object { BzPtch001_1 }
  object { BzPtch001_2 }
  object { BzPtch001_3 }
  object { BzPtch001_4 }
  object { BzPtch001_5 }
  object { BzPtch001_6 }
  object { BzPtch001_7 }
  object { BzPtch001_8 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.439437, 0.439437, 0.439437>
  translate <4.980173, 0.000000, -4.247795>
}

#declare Cone006 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.130909, 1.131000, 0.671000>
  translate <11.355089, 0.000000, 1.575272>
}

#declare Cylndr001 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.196909, 1.197000, 1.656364>
  translate <11.355089, 0.000000, 2.297272>
}

#declare Cone007 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.722000, 1.722000, 0.540546>
  translate <11.355089, 0.000000, 3.609999>
}

#declare Cylndr002 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Silver_Texture
    finish {
      brilliance   0.20
      phong   0.20
      reflection  0.850
    }
  }
  scale <0.474909, 0.475000, 3.166001>
  translate <11.355089, 0.000000, 2.756727>
}

union {   // Grp004
  object { BzPtch001 }
  object { Cone006 }
  object { Cylndr001 }
  object { Cone007 }
  object { Cylndr002 }
}
#declare BzPtch2_1 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-7.803925, 0.000000, 12.228858>  <-7.803925, -1.000000, 12.228858>  <-6.091588, -1.000000, 11.675244>  <-6.091588, 0.000000, 11.675244>
    <-6.435305, 0.000000, 13.676786>  <-6.435305, -1.000000, 13.676786>  <-4.685351, -1.000000, 13.086667>  <-4.685351, 0.000000, 13.086667>
    <-5.075038, 0.000000, 15.130980>  <-5.075038, -1.000000, 15.130980>  <-3.063497, -1.000000, 14.112828>  <-3.063497, 0.000000, 14.112828>
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>  }
}
#declare BzPtch2_2 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-6.091588, 0.000000, 11.675244>  <-6.091588, 1.000000, 11.675244>  <-7.803925, 1.000000, 12.228858>  <-7.803925, 0.000000, 12.228858>
    <-4.685351, 0.000000, 13.086667>  <-4.685351, 1.000000, 13.086667>  <-6.435305, 1.000000, 13.676786>  <-6.435305, 0.000000, 13.676786>
    <-3.063497, 0.000000, 14.112828>  <-3.063497, 1.000000, 14.112828>  <-5.075038, 1.000000, 15.130980>  <-5.075038, 0.000000, 15.130980>
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>  }
}
#declare BzPtch2_3 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>
    <-0.935725, 0.000000, 15.975546>  <-0.935725, -1.000000, 15.975546>  <-1.283308, -1.000000, 14.250611>  <-1.283308, 0.000000, 14.250611>
    <3.349279, 0.000000, 11.848462>  <3.349279, -1.000000, 11.848462>  <2.038795, -1.000000, 10.848398>  <2.038795, 0.000000, 10.848398>
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>  }
}
#declare BzPtch2_4 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>
    <-1.283308, 0.000000, 14.250611>  <-1.283308, 1.000000, 14.250611>  <-0.935725, 1.000000, 15.975546>  <-0.935725, 0.000000, 15.975546>
    <2.038795, 0.000000, 10.848398>  <2.038795, 1.000000, 10.848398>  <3.349279, 1.000000, 11.848462>  <3.349279, 0.000000, 11.848462>
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>  }
}
#declare BzPtch2_5 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>
    <7.876290, 0.000000, 8.694149>  <7.876290, -1.000000, 8.694149>  <8.140556, -1.000000, 6.762035>  <8.140556, 0.000000, 6.762035>
    <8.837418, 0.000000, 8.757271>  <8.837418, -1.000000, 8.757271>  <10.290505, -1.000000, 7.516801>  <10.290505, 0.000000, 7.516801>
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>  }
}
#declare BzPtch2_6 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>
    <8.140556, 0.000000, 6.762035>  <8.140556, 1.000000, 6.762035>  <7.876290, 1.000000, 8.694149>  <7.876290, 0.000000, 8.694149>
    <10.290505, 0.000000, 7.516801>  <10.290505, 1.000000, 7.516801>  <8.837418, 1.000000, 8.757271>  <8.837418, 0.000000, 8.757271>
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>  }
}
#declare BzPtch2_7 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>
    <12.387249, 0.000000, 10.536297>  <12.387249, -1.000000, 10.536297>  <14.828541, -1.000000, 10.189859>  <14.828541, 0.000000, 10.189859>
    <13.369619, 0.000000, 12.343686>  <13.369619, -1.000000, 12.343686>  <15.439475, -1.000000, 12.321823>  <15.439475, 0.000000, 12.321823>
    <13.680051, 0.000000, 14.225836>  <13.680051, -1.000000, 14.225836>  <15.148903, -1.000000, 14.207141>  <15.148903, 0.000000, 14.207141>  }
}
#declare BzPtch2_8 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>
    <14.828541, 0.000000, 10.189859>  <14.828541, 1.000000, 10.189859>  <12.387249, 1.000000, 10.536297>  <12.387249, 0.000000, 10.536297>
    <15.439475, 0.000000, 12.321823>  <15.439475, 1.000000, 12.321823>  <13.369619, 1.000000, 12.343686>  <13.369619, 0.000000, 12.343686>
    <15.148903, 0.000000, 14.207141>  <15.148903, 1.000000, 14.207141>  <13.680051, 1.000000, 14.225836>  <13.680051, 0.000000, 14.225836>  }
}
#declare BzPtch2 = union { 
  object { BzPtch2_1 }
  object { BzPtch2_2 }
  object { BzPtch2_3 }
  object { BzPtch2_4 }
  object { BzPtch2_5 }
  object { BzPtch2_6 }
  object { BzPtch2_7 }
  object { BzPtch2_8 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.439437, 0.439437, 0.439437>
  translate <4.980173, 0.000000, -4.247795>
}

#declare Cone11 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.130909, 1.131000, 0.671000>
  translate <11.355089, 0.000000, 1.575272>
}

#declare Cylndr2 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.196909, 1.197000, 1.656364>
  translate <11.355089, 0.000000, 2.297272>
}

#declare Cone12 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.722000, 1.722000, 0.540546>
  translate <11.355089, 0.000000, 3.609999>
}

#declare Cylndr3 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Silver_Texture
    finish {
      brilliance   0.20
      phong   0.20
      reflection  0.850
    }
  }
  scale <0.474909, 0.475000, 3.166001>
  translate <11.355089, 0.000000, 2.756727>
}

union {   // Grp7
  object { BzPtch2 }
  object { Cone11 }
  object { Cylndr2 }
  object { Cone12 }
  object { Cylndr3 }
  rotate <0.000000, 0.000000, -75.000000>
}
#declare BzPtch3_1 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-7.803925, 0.000000, 12.228858>  <-7.803925, -1.000000, 12.228858>  <-6.091588, -1.000000, 11.675244>  <-6.091588, 0.000000, 11.675244>
    <-6.435305, 0.000000, 13.676786>  <-6.435305, -1.000000, 13.676786>  <-4.685351, -1.000000, 13.086667>  <-4.685351, 0.000000, 13.086667>
    <-5.075038, 0.000000, 15.130980>  <-5.075038, -1.000000, 15.130980>  <-3.063497, -1.000000, 14.112828>  <-3.063497, 0.000000, 14.112828>
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>  }
}
#declare BzPtch3_2 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-6.091588, 0.000000, 11.675244>  <-6.091588, 1.000000, 11.675244>  <-7.803925, 1.000000, 12.228858>  <-7.803925, 0.000000, 12.228858>
    <-4.685351, 0.000000, 13.086667>  <-4.685351, 1.000000, 13.086667>  <-6.435305, 1.000000, 13.676786>  <-6.435305, 0.000000, 13.676786>
    <-3.063497, 0.000000, 14.112828>  <-3.063497, 1.000000, 14.112828>  <-5.075038, 1.000000, 15.130980>  <-5.075038, 0.000000, 15.130980>
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>  }
}
#declare BzPtch3_3 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>
    <-0.935725, 0.000000, 15.975546>  <-0.935725, -1.000000, 15.975546>  <-1.283308, -1.000000, 14.250611>  <-1.283308, 0.000000, 14.250611>
    <3.349279, 0.000000, 11.848462>  <3.349279, -1.000000, 11.848462>  <2.038795, -1.000000, 10.848398>  <2.038795, 0.000000, 10.848398>
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>  }
}
#declare BzPtch3_4 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>
    <-1.283308, 0.000000, 14.250611>  <-1.283308, 1.000000, 14.250611>  <-0.935725, 1.000000, 15.975546>  <-0.935725, 0.000000, 15.975546>
    <2.038795, 0.000000, 10.848398>  <2.038795, 1.000000, 10.848398>  <3.349279, 1.000000, 11.848462>  <3.349279, 0.000000, 11.848462>
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>  }
}
#declare BzPtch3_5 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>
    <7.876290, 0.000000, 8.694149>  <7.876290, -1.000000, 8.694149>  <8.140556, -1.000000, 6.762035>  <8.140556, 0.000000, 6.762035>
    <8.837418, 0.000000, 8.757271>  <8.837418, -1.000000, 8.757271>  <10.290505, -1.000000, 7.516801>  <10.290505, 0.000000, 7.516801>
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>  }
}
#declare BzPtch3_6 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>
    <8.140556, 0.000000, 6.762035>  <8.140556, 1.000000, 6.762035>  <7.876290, 1.000000, 8.694149>  <7.876290, 0.000000, 8.694149>
    <10.290505, 0.000000, 7.516801>  <10.290505, 1.000000, 7.516801>  <8.837418, 1.000000, 8.757271>  <8.837418, 0.000000, 8.757271>
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>  }
}
#declare BzPtch3_7 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>
    <12.387249, 0.000000, 10.536297>  <12.387249, -1.000000, 10.536297>  <14.828541, -1.000000, 10.189859>  <14.828541, 0.000000, 10.189859>
    <13.369619, 0.000000, 12.343686>  <13.369619, -1.000000, 12.343686>  <15.439475, -1.000000, 12.321823>  <15.439475, 0.000000, 12.321823>
    <13.680051, 0.000000, 14.225836>  <13.680051, -1.000000, 14.225836>  <15.148903, -1.000000, 14.207141>  <15.148903, 0.000000, 14.207141>  }
}
#declare BzPtch3_8 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>
    <14.828541, 0.000000, 10.189859>  <14.828541, 1.000000, 10.189859>  <12.387249, 1.000000, 10.536297>  <12.387249, 0.000000, 10.536297>
    <15.439475, 0.000000, 12.321823>  <15.439475, 1.000000, 12.321823>  <13.369619, 1.000000, 12.343686>  <13.369619, 0.000000, 12.343686>
    <15.148903, 0.000000, 14.207141>  <15.148903, 1.000000, 14.207141>  <13.680051, 1.000000, 14.225836>  <13.680051, 0.000000, 14.225836>  }
}
#declare BzPtch3 = union { 
  object { BzPtch3_1 }
  object { BzPtch3_2 }
  object { BzPtch3_3 }
  object { BzPtch3_4 }
  object { BzPtch3_5 }
  object { BzPtch3_6 }
  object { BzPtch3_7 }
  object { BzPtch3_8 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.439437, 0.439437, 0.439437>
  translate <4.980173, 0.000000, -4.247795>
}

#declare Cone13 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.130909, 1.131000, 0.671000>
  translate <11.355089, 0.000000, 1.575272>
}

#declare Cylndr4 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.196909, 1.197000, 1.656364>
  translate <11.355089, 0.000000, 2.297272>
}

#declare Cone14 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.722000, 1.722000, 0.540546>
  translate <11.355089, 0.000000, 3.609999>
}

#declare Cylndr5 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Silver_Texture
    finish {
      brilliance   0.20
      phong   0.20
      reflection  0.850
    }
  }
  scale <0.474909, 0.475000, 3.166001>
  translate <11.355089, 0.000000, 2.756727>
}

union {   // Grp8
  object { BzPtch3 }
  object { Cone13 }
  object { Cylndr4 }
  object { Cone14 }
  object { Cylndr5 }
  rotate <0.000000, 0.000000, -150.000000>
}
#declare BzPtch4_1 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-7.803925, 0.000000, 12.228858>  <-7.803925, -1.000000, 12.228858>  <-6.091588, -1.000000, 11.675244>  <-6.091588, 0.000000, 11.675244>
    <-6.435305, 0.000000, 13.676786>  <-6.435305, -1.000000, 13.676786>  <-4.685351, -1.000000, 13.086667>  <-4.685351, 0.000000, 13.086667>
    <-5.075038, 0.000000, 15.130980>  <-5.075038, -1.000000, 15.130980>  <-3.063497, -1.000000, 14.112828>  <-3.063497, 0.000000, 14.112828>
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>  }
}
#declare BzPtch4_2 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-6.091588, 0.000000, 11.675244>  <-6.091588, 1.000000, 11.675244>  <-7.803925, 1.000000, 12.228858>  <-7.803925, 0.000000, 12.228858>
    <-4.685351, 0.000000, 13.086667>  <-4.685351, 1.000000, 13.086667>  <-6.435305, 1.000000, 13.676786>  <-6.435305, 0.000000, 13.676786>
    <-3.063497, 0.000000, 14.112828>  <-3.063497, 1.000000, 14.112828>  <-5.075038, 1.000000, 15.130980>  <-5.075038, 0.000000, 15.130980>
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>  }
}
#declare BzPtch4_3 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>
    <-0.935725, 0.000000, 15.975546>  <-0.935725, -1.000000, 15.975546>  <-1.283308, -1.000000, 14.250611>  <-1.283308, 0.000000, 14.250611>
    <3.349279, 0.000000, 11.848462>  <3.349279, -1.000000, 11.848462>  <2.038795, -1.000000, 10.848398>  <2.038795, 0.000000, 10.848398>
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>  }
}
#declare BzPtch4_4 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>
    <-1.283308, 0.000000, 14.250611>  <-1.283308, 1.000000, 14.250611>  <-0.935725, 1.000000, 15.975546>  <-0.935725, 0.000000, 15.975546>
    <2.038795, 0.000000, 10.848398>  <2.038795, 1.000000, 10.848398>  <3.349279, 1.000000, 11.848462>  <3.349279, 0.000000, 11.848462>
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>  }
}
#declare BzPtch4_5 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>
    <7.876290, 0.000000, 8.694149>  <7.876290, -1.000000, 8.694149>  <8.140556, -1.000000, 6.762035>  <8.140556, 0.000000, 6.762035>
    <8.837418, 0.000000, 8.757271>  <8.837418, -1.000000, 8.757271>  <10.290505, -1.000000, 7.516801>  <10.290505, 0.000000, 7.516801>
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>  }
}
#declare BzPtch4_6 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>
    <8.140556, 0.000000, 6.762035>  <8.140556, 1.000000, 6.762035>  <7.876290, 1.000000, 8.694149>  <7.876290, 0.000000, 8.694149>
    <10.290505, 0.000000, 7.516801>  <10.290505, 1.000000, 7.516801>  <8.837418, 1.000000, 8.757271>  <8.837418, 0.000000, 8.757271>
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>  }
}
#declare BzPtch4_7 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>
    <12.387249, 0.000000, 10.536297>  <12.387249, -1.000000, 10.536297>  <14.828541, -1.000000, 10.189859>  <14.828541, 0.000000, 10.189859>
    <13.369619, 0.000000, 12.343686>  <13.369619, -1.000000, 12.343686>  <15.439475, -1.000000, 12.321823>  <15.439475, 0.000000, 12.321823>
    <13.680051, 0.000000, 14.225836>  <13.680051, -1.000000, 14.225836>  <15.148903, -1.000000, 14.207141>  <15.148903, 0.000000, 14.207141>  }
}
#declare BzPtch4_8 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>
    <14.828541, 0.000000, 10.189859>  <14.828541, 1.000000, 10.189859>  <12.387249, 1.000000, 10.536297>  <12.387249, 0.000000, 10.536297>
    <15.439475, 0.000000, 12.321823>  <15.439475, 1.000000, 12.321823>  <13.369619, 1.000000, 12.343686>  <13.369619, 0.000000, 12.343686>
    <15.148903, 0.000000, 14.207141>  <15.148903, 1.000000, 14.207141>  <13.680051, 1.000000, 14.225836>  <13.680051, 0.000000, 14.225836>  }
}
#declare BzPtch4 = union { 
  object { BzPtch4_1 }
  object { BzPtch4_2 }
  object { BzPtch4_3 }
  object { BzPtch4_4 }
  object { BzPtch4_5 }
  object { BzPtch4_6 }
  object { BzPtch4_7 }
  object { BzPtch4_8 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.439437, 0.439437, 0.439437>
  translate <4.980173, 0.000000, -4.247795>
}

#declare Cone15 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.130909, 1.131000, 0.671000>
  translate <11.355089, 0.000000, 1.575272>
}

#declare Cylndr6 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.196909, 1.197000, 1.656364>
  translate <11.355089, 0.000000, 2.297272>
}

#declare Cone16 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.722000, 1.722000, 0.540546>
  translate <11.355089, 0.000000, 3.609999>
}

#declare Cylndr7 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Silver_Texture
    finish {
      brilliance   0.20
      phong   0.20
      reflection  0.850
    }
  }
  scale <0.474909, 0.475000, 3.166001>
  translate <11.355089, 0.000000, 2.756727>
}

union {   // Grp9
  object { BzPtch4 }
  object { Cone15 }
  object { Cylndr6 }
  object { Cone16 }
  object { Cylndr7 }
  rotate <0.000000, 0.000000, -225.000000>
}
#declare BzPtch5_1 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-7.803925, 0.000000, 12.228858>  <-7.803925, -1.000000, 12.228858>  <-6.091588, -1.000000, 11.675244>  <-6.091588, 0.000000, 11.675244>
    <-6.435305, 0.000000, 13.676786>  <-6.435305, -1.000000, 13.676786>  <-4.685351, -1.000000, 13.086667>  <-4.685351, 0.000000, 13.086667>
    <-5.075038, 0.000000, 15.130980>  <-5.075038, -1.000000, 15.130980>  <-3.063497, -1.000000, 14.112828>  <-3.063497, 0.000000, 14.112828>
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>  }
}
#declare BzPtch5_2 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-6.091588, 0.000000, 11.675244>  <-6.091588, 1.000000, 11.675244>  <-7.803925, 1.000000, 12.228858>  <-7.803925, 0.000000, 12.228858>
    <-4.685351, 0.000000, 13.086667>  <-4.685351, 1.000000, 13.086667>  <-6.435305, 1.000000, 13.676786>  <-6.435305, 0.000000, 13.676786>
    <-3.063497, 0.000000, 14.112828>  <-3.063497, 1.000000, 14.112828>  <-5.075038, 1.000000, 15.130980>  <-5.075038, 0.000000, 15.130980>
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>  }
}
#declare BzPtch5_3 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-3.005382, 0.000000, 15.553263>  <-3.005382, -1.000000, 15.553263>  <-2.173403, -1.000000, 14.181719>  <-2.173403, 0.000000, 14.181719>
    <-0.935725, 0.000000, 15.975546>  <-0.935725, -1.000000, 15.975546>  <-1.283308, -1.000000, 14.250611>  <-1.283308, 0.000000, 14.250611>
    <3.349279, 0.000000, 11.848462>  <3.349279, -1.000000, 11.848462>  <2.038795, -1.000000, 10.848398>  <2.038795, 0.000000, 10.848398>
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>  }
}
#declare BzPtch5_4 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <-2.173403, 0.000000, 14.181719>  <-2.173403, 1.000000, 14.181719>  <-3.005382, 1.000000, 15.553263>  <-3.005382, 0.000000, 15.553263>
    <-1.283308, 0.000000, 14.250611>  <-1.283308, 1.000000, 14.250611>  <-0.935725, 1.000000, 15.975546>  <-0.935725, 0.000000, 15.975546>
    <2.038795, 0.000000, 10.848398>  <2.038795, 1.000000, 10.848398>  <3.349279, 1.000000, 11.848462>  <3.349279, 0.000000, 11.848462>
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>  }
}
#declare BzPtch5_5 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.612784, 0.000000, 10.271305>  <5.612784, -1.000000, 10.271305>  <5.089675, -1.000000, 8.805217>  <5.089675, 0.000000, 8.805217>
    <7.876290, 0.000000, 8.694149>  <7.876290, -1.000000, 8.694149>  <8.140556, -1.000000, 6.762035>  <8.140556, 0.000000, 6.762035>
    <8.837418, 0.000000, 8.757271>  <8.837418, -1.000000, 8.757271>  <10.290505, -1.000000, 7.516801>  <10.290505, 0.000000, 7.516801>
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>  }
}
#declare BzPtch5_6 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <5.089675, 0.000000, 8.805217>  <5.089675, 1.000000, 8.805217>  <5.612784, 1.000000, 10.271305>  <5.612784, 0.000000, 10.271305>
    <8.140556, 0.000000, 6.762035>  <8.140556, 1.000000, 6.762035>  <7.876290, 1.000000, 8.694149>  <7.876290, 0.000000, 8.694149>
    <10.290505, 0.000000, 7.516801>  <10.290505, 1.000000, 7.516801>  <8.837418, 1.000000, 8.757271>  <8.837418, 0.000000, 8.757271>
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>  }
}
#declare BzPtch5_7 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <10.612333, 0.000000, 9.646784>  <10.612333, -1.000000, 9.646784>  <12.559523, -1.000000, 8.853330>  <12.559523, 0.000000, 8.853330>
    <12.387249, 0.000000, 10.536297>  <12.387249, -1.000000, 10.536297>  <14.828541, -1.000000, 10.189859>  <14.828541, 0.000000, 10.189859>
    <13.369619, 0.000000, 12.343686>  <13.369619, -1.000000, 12.343686>  <15.439475, -1.000000, 12.321823>  <15.439475, 0.000000, 12.321823>
    <13.680051, 0.000000, 14.225836>  <13.680051, -1.000000, 14.225836>  <15.148903, -1.000000, 14.207141>  <15.148903, 0.000000, 14.207141>  }
}
#declare BzPtch5_8 = object { 
  bicubic_patch { type 1 flatness 0.0000 u_steps 3 v_steps 3
    <12.559523, 0.000000, 8.853330>  <12.559523, 1.000000, 8.853330>  <10.612333, 1.000000, 9.646784>  <10.612333, 0.000000, 9.646784>
    <14.828541, 0.000000, 10.189859>  <14.828541, 1.000000, 10.189859>  <12.387249, 1.000000, 10.536297>  <12.387249, 0.000000, 10.536297>
    <15.439475, 0.000000, 12.321823>  <15.439475, 1.000000, 12.321823>  <13.369619, 1.000000, 12.343686>  <13.369619, 0.000000, 12.343686>
    <15.148903, 0.000000, 14.207141>  <15.148903, 1.000000, 14.207141>  <13.680051, 1.000000, 14.225836>  <13.680051, 0.000000, 14.225836>  }
}
#declare BzPtch5 = union { 
  object { BzPtch5_1 }
  object { BzPtch5_2 }
  object { BzPtch5_3 }
  object { BzPtch5_4 }
  object { BzPtch5_5 }
  object { BzPtch5_6 }
  object { BzPtch5_7 }
  object { BzPtch5_8 }
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <0.439437, 0.439437, 0.439437>
  translate <4.980173, 0.000000, -4.247795>
}

#declare Cone17 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.130909, 1.131000, 0.671000>
  translate <11.355089, 0.000000, 1.575272>
}

#declare Cylndr8 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.196909, 1.197000, 1.656364>
  translate <11.355089, 0.000000, 2.297272>
}

#declare Cone18 = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Gold_Texture
    finish {
      phong   0.70
      metallic
      reflection  0.600
    }
  }
  scale <1.722000, 1.722000, 0.540546>
  translate <11.355089, 0.000000, 3.609999>
}

#declare Cylndr9 = cylinder {
  <0,0,1>, <0,0,0>, 1
  texture {
    Silver_Texture
    finish {
      brilliance   0.20
      phong   0.20
      reflection  0.850
    }
  }
  scale <0.474909, 0.475000, 3.166001>
  translate <11.355089, 0.000000, 2.756727>
}

union {   // Grp10
  object { BzPtch5 }
  object { Cone17 }
  object { Cylndr8 }
  object { Cone18 }
  object { Cylndr9 }
  rotate <0.000000, 0.000000, -300.000000>
}
#declare Cube001 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    DMFDarkOak
    finish {
      phong   0.60
      phong_size   0.20
      reflection  0.120
    }
      turbulence   0.300
  }
  scale <9.457246, 0.371757, 1.394062>
  translate <0.464684, -0.743494, 7.713755>
}

#declare Cube2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    DMFDarkOak
    finish {
      phong   0.60
      phong_size   0.20
      reflection  0.120
    }
      turbulence   0.300
  }
  scale <9.457246, 0.371757, 1.394062>
  rotate <0.000000, -90.000000, 0.000000>
  translate <8.562963, -0.743494, -0.384524>
}

#declare Cube002 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Glass2
    finish {
      phong   0.30
      phong_size   0.60
      reflection  0.250
      refraction  0.700
      ior  0.700
    }
  }
  scale <7.911648, 0.191101, 6.337795>
  translate <-0.925372, -0.573273, 0.000000>
}

#declare Cube5 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    DMFDarkOak
    finish {
      phong   0.60
      phong_size   0.20
      reflection  0.120
    }
      turbulence   0.300
  }
  scale <0.352109, 0.200000, 8.098288>
  translate <-0.171938, -0.885035, -1.705000>
}

#declare Cube6 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    DMFDarkOak
    finish {
      phong   0.60
      phong_size   0.20
      reflection  0.120
    }
      turbulence   0.300
  }
  scale <0.352109, 0.200000, 8.098288>
  rotate <0.000000, -90.000000, 0.000000>
  translate <-0.928671, -0.885035, -1.000802>
}

union {   // Grp005
  object { Cube001 }
  object { Cube2 }
  object { Cube002 }
  object { Cube5 }
  object { Cube6 }
  scale <2.157729, 1.569414, 2.640753>
  translate <0.410401, 28.629030, 1.721461>
}
plane {   // Plane001
  z,0
  texture {
    Cherry_Wood
    finish {
      phong   0.15
      reflection  0.100
    }
      turbulence   0.300
  }
  translate <-0.123167, 27.310478, 25.714861>
}

plane {   // Plane002
  z,0
  texture {
    Cherry_Wood
    finish {
      phong   0.15
      reflection  0.100
    }
      turbulence   0.300
  }
  rotate <0.000000, -90.000000, 0.000000>
  translate <21.860331, 25.533088, 17.089349>
}

#declare Torus2 = torus { 
  1.250, 0.250  // Major, minor radius
  rotate -x*90
  scale <0.628253, 0.628253, 0.628253>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <0.000000, -0.185874, 0.000000>
}

#declare Torus3 = torus { 
  1.250, 0.250  // Major, minor radius
  rotate -x*90
  scale <0.278820, 0.278820, 0.278820>
  rotate <-90.000000, 0.000000, 0.000000>
  translate <0.000000, -0.185874, 0.000000>
}

#declare Sphere2 = object { 
  sphere {<0,0,0>,1}
  scale <0.163569, 0.163569, 0.163569>
  translate <0.000000, -0.185874, 0.000000>
}

union {   // Grp006
  object { Torus2 }
  object { Torus3 }
  object { Sphere2 }
  texture {
    DMFDarkOak
    finish {
      phong   0.60
      phong_size   0.20
      reflection  0.120
    }
      turbulence   0.300
  }
  scale <3.024442, 1.000000, 3.834219>
  translate <18.829571, 26.720848, 22.000445>
}
#declare BzPtch6_1 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <-1.000000, 0.000000, 0.000000>  <-1.000000, -1.000000, 0.000000>  <1.000000, -1.000000, 0.000000>  <1.000000, 0.000000, 0.000000>
    <-2.064302, 0.000000, 2.000000>  <-2.064302, -3.245940, 2.000000>  <2.064302, -3.245940, 2.000000>  <2.064302, 0.000000, 2.000000>
    <-2.064302, 0.000000, 4.000000>  <-2.064302, -3.245940, 4.000000>  <2.064302, -3.245940, 4.000000>  <2.064302, 0.000000, 4.000000>
    <-0.008674, 0.028800, 8.142850>  <-0.008674, 0.013561, 8.190807>  <0.008674, 0.013561, 8.190807>  <-0.040892, -0.015144, 8.119921>  }
}
#declare BzPtch6_2 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <1.000000, 0.000000, 0.000000>  <1.000000, 1.000000, 0.000000>  <-1.000000, 1.000000, 0.000000>  <-1.000000, 0.000000, 0.000000>
    <2.064302, 0.000000, 2.000000>  <2.064302, 3.245940, 2.000000>  <-2.064302, 3.245940, 2.000000>  <-2.064302, 0.000000, 2.000000>
    <2.064302, 0.000000, 4.000000>  <2.064302, 3.245940, 4.000000>  <-2.064302, 3.245940, 4.000000>  <-2.064302, 0.000000, 4.000000>
    <-0.040892, -0.015144, 8.119921>  <-0.090458, -0.043850, 8.049036>  <-0.008674, 0.044038, 8.094893>  <-0.008674, 0.028800, 8.142850>  }
}
union {   // BzPtch6
  object { BzPtch6_1 }
  object { BzPtch6_2 }
  texture {
    Glass2
    finish {
      phong   0.30
      phong_size   0.60
      reflection  0.250
      refraction  0.700
      ior  0.700
    }
  }
  scale <0.361640, 0.361640, 0.361640>
  translate <11.374829, 0.000000, 5.618649>
}

#declare BzPtch7_1 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <-1.000000, 0.000000, 0.000000>  <-1.000000, -1.000000, 0.000000>  <1.000000, -1.000000, 0.000000>  <1.000000, 0.000000, 0.000000>
    <-2.064302, 0.000000, 2.000000>  <-2.064302, -3.245940, 2.000000>  <2.064302, -3.245940, 2.000000>  <2.064302, 0.000000, 2.000000>
    <-2.064302, 0.000000, 4.000000>  <-2.064302, -3.245940, 4.000000>  <2.064302, -3.245940, 4.000000>  <2.064302, 0.000000, 4.000000>
    <-0.008674, 0.028800, 8.142850>  <-0.008674, 0.013561, 8.190807>  <0.008674, 0.013561, 8.190807>  <-0.040892, -0.015144, 8.119921>  }
}
#declare BzPtch7_2 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <1.000000, 0.000000, 0.000000>  <1.000000, 1.000000, 0.000000>  <-1.000000, 1.000000, 0.000000>  <-1.000000, 0.000000, 0.000000>
    <2.064302, 0.000000, 2.000000>  <2.064302, 3.245940, 2.000000>  <-2.064302, 3.245940, 2.000000>  <-2.064302, 0.000000, 2.000000>
    <2.064302, 0.000000, 4.000000>  <2.064302, 3.245940, 4.000000>  <-2.064302, 3.245940, 4.000000>  <-2.064302, 0.000000, 4.000000>
    <-0.040892, -0.015144, 8.119921>  <-0.090458, -0.043850, 8.049036>  <-0.008674, 0.044038, 8.094893>  <-0.008674, 0.028800, 8.142850>  }
}
union {   // BzPtch7
  object { BzPtch7_1 }
  object { BzPtch7_2 }
  texture {
    Glass2
    finish {
      phong   0.30
      phong_size   0.60
      reflection  0.250
      refraction  0.700
      ior  0.700
    }
  }
  scale <0.361640, 0.361640, 0.361640>
  rotate <0.000000, 0.000000, -75.000000>
  translate <5.675444, 9.789250, 5.762634>
}

#declare BzPtch8_1 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <-1.000000, 0.000000, 0.000000>  <-1.000000, -1.000000, 0.000000>  <1.000000, -1.000000, 0.000000>  <1.000000, 0.000000, 0.000000>
    <-2.064302, 0.000000, 2.000000>  <-2.064302, -3.245940, 2.000000>  <2.064302, -3.245940, 2.000000>  <2.064302, 0.000000, 2.000000>
    <-2.064302, 0.000000, 4.000000>  <-2.064302, -3.245940, 4.000000>  <2.064302, -3.245940, 4.000000>  <2.064302, 0.000000, 4.000000>
    <-0.008674, 0.028800, 8.142850>  <-0.008674, 0.013561, 8.190807>  <0.008674, 0.013561, 8.190807>  <-0.040892, -0.015144, 8.119921>  }
}
#declare BzPtch8_2 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <1.000000, 0.000000, 0.000000>  <1.000000, 1.000000, 0.000000>  <-1.000000, 1.000000, 0.000000>  <-1.000000, 0.000000, 0.000000>
    <2.064302, 0.000000, 2.000000>  <2.064302, 3.245940, 2.000000>  <-2.064302, 3.245940, 2.000000>  <-2.064302, 0.000000, 2.000000>
    <2.064302, 0.000000, 4.000000>  <2.064302, 3.245940, 4.000000>  <-2.064302, 3.245940, 4.000000>  <-2.064302, 0.000000, 4.000000>
    <-0.040892, -0.015144, 8.119921>  <-0.090458, -0.043850, 8.049036>  <-0.008674, 0.044038, 8.094893>  <-0.008674, 0.028800, 8.142850>  }
}
union {   // BzPtch8
  object { BzPtch8_1 }
  object { BzPtch8_2 }
  texture {
    Glass2
    finish {
      phong   0.30
      phong_size   0.60
      reflection  0.250
      refraction  0.700
      ior  0.700
    }
  }
  scale <0.361640, 0.361640, 0.361640>
  rotate <0.000000, 0.000000, -150.000000>
  translate <-8.025684, 8.009386, 5.618649>
}

#declare BzPtch9_1 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <-1.000000, 0.000000, 0.000000>  <-1.000000, -1.000000, 0.000000>  <1.000000, -1.000000, 0.000000>  <1.000000, 0.000000, 0.000000>
    <-2.064302, 0.000000, 2.000000>  <-2.064302, -3.245940, 2.000000>  <2.064302, -3.245940, 2.000000>  <2.064302, 0.000000, 2.000000>
    <-2.064302, 0.000000, 4.000000>  <-2.064302, -3.245940, 4.000000>  <2.064302, -3.245940, 4.000000>  <2.064302, 0.000000, 4.000000>
    <-0.008674, 0.028800, 8.142850>  <-0.008674, 0.013561, 8.190807>  <0.008674, 0.013561, 8.190807>  <-0.040892, -0.015144, 8.119921>  }
}
#declare BzPtch9_2 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <1.000000, 0.000000, 0.000000>  <1.000000, 1.000000, 0.000000>  <-1.000000, 1.000000, 0.000000>  <-1.000000, 0.000000, 0.000000>
    <2.064302, 0.000000, 2.000000>  <2.064302, 3.245940, 2.000000>  <-2.064302, 3.245940, 2.000000>  <-2.064302, 0.000000, 2.000000>
    <2.064302, 0.000000, 4.000000>  <2.064302, 3.245940, 4.000000>  <-2.064302, 3.245940, 4.000000>  <-2.064302, 0.000000, 4.000000>
    <-0.040892, -0.015144, 8.119921>  <-0.090458, -0.043850, 8.049036>  <-0.008674, 0.044038, 8.094893>  <-0.008674, 0.028800, 8.142850>  }
}
union {   // BzPtch9
  object { BzPtch9_1 }
  object { BzPtch9_2 }
  texture {
    Glass2
    finish {
      phong   0.30
      phong_size   0.60
      reflection  0.250
      refraction  0.700
      ior  0.700
    }
  }
  scale <0.361640, 0.361640, 0.361640>
  rotate <0.000000, 0.000000, -225.000000>
  translate <-9.907551, -5.695564, 5.762634>
}

#declare BzPtch10_1 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <-1.000000, 0.000000, 0.000000>  <-1.000000, -1.000000, 0.000000>  <1.000000, -1.000000, 0.000000>  <1.000000, 0.000000, 0.000000>
    <-2.064302, 0.000000, 2.000000>  <-2.064302, -3.245940, 2.000000>  <2.064302, -3.245940, 2.000000>  <2.064302, 0.000000, 2.000000>
    <-2.064302, 0.000000, 4.000000>  <-2.064302, -3.245940, 4.000000>  <2.064302, -3.245940, 4.000000>  <2.064302, 0.000000, 4.000000>
    <-0.008674, 0.028800, 8.142850>  <-0.008674, 0.013561, 8.190807>  <0.008674, 0.013561, 8.190807>  <-0.040892, -0.015144, 8.119921>  }
}
#declare BzPtch10_2 = object { 
  bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3
    <1.000000, 0.000000, 0.000000>  <1.000000, 1.000000, 0.000000>  <-1.000000, 1.000000, 0.000000>  <-1.000000, 0.000000, 0.000000>
    <2.064302, 0.000000, 2.000000>  <2.064302, 3.245940, 2.000000>  <-2.064302, 3.245940, 2.000000>  <-2.064302, 0.000000, 2.000000>
    <2.064302, 0.000000, 4.000000>  <2.064302, 3.245940, 4.000000>  <-2.064302, 3.245940, 4.000000>  <-2.064302, 0.000000, 4.000000>
    <-0.040892, -0.015144, 8.119921>  <-0.090458, -0.043850, 8.049036>  <-0.008674, 0.044038, 8.094893>  <-0.008674, 0.028800, 8.142850>  }
}
union {   // BzPtch10
  object { BzPtch10_1 }
  object { BzPtch10_2 }
  texture {
    Glass2
    finish {
      phong   0.30
      phong_size   0.60
      reflection  0.250
      refraction  0.700
      ior  0.700
    }
  }
  scale <0.361640, 0.361640, 0.361640>
  rotate <0.000000, 0.000000, -300.000000>
  translate <3.009470, -11.035154, 5.618649>
}

